# Generated from volt-repo_cache-0.1.8.gem by gem2rpm -*- rpm-spec -*-
%global gem_name volt-repo_cache

Name: rubygem-%{gem_name}
Version: 0.1.8
Release: 1%{?dist}
Summary: Caching for collections, models and their associations loaded from Volt repositories
License: MIT
URL: https://github.com/balmoral/volt-repo_cache
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
BuildArch: noarch

%description
Cache multiple collections or query based subsets from any Volt repository.
Provides faster and simpler client-side processing. Reduces the burden of
promise handling. Changes - updates, creates and destroys - can be saved
(flushed) back to the repository at model, collection or cache level.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# Run the test suite.
popd

%files
%dir %{gem_instdir}
%exclude %{gem_instdir}/.gitignore
%license %{gem_instdir}/LICENSE.txt
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%exclude %{gem_instdir}/.rspec
%{gem_instdir}/Gemfile
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%{gem_instdir}/spec
%{gem_instdir}/volt-repo_cache.gemspec

%changelog
* Wed Aug 25 2021 mockbuilder - 0.1.8-1
- Initial package
